compatibility with FF 8.x Rated 4 out of 5 stars

As Todd was not available, I published a fix for FF 7.x and FF 8.x here: https://github.com/tomondev/gmail-manager. You can build it from the sources or download the latest version there from the target folder (gmail-manager-0.6.4.1.3-tomondev.xpi for FF 8.x).

This cool add-on works like a charm under latest FF if you download the fixed version. I can't live without it to manage multiple gmail accounts. Thanks to the original author.

This user has other reviews of this add-on.